Begin passkey login

POST/auth/v1/passkey/login/begin

Begins a passkey login by returning a session_id and WebAuthn challenge options for the client to sign.

Response Body

200application/json

session_id and WebAuthn options

type: unknown

{
  "$ref": "#/components/schemas/authv1.PasskeyBeginResponse",
  "$ref-value": {
    "properties": {
      "options": {
        "items": {
          "type": "integer"
        },
        "type": "array"
      },
      "session_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/passkey/login/begin"

session_id and WebAuthn options

application/json

{
  "$ref": "#/components/schemas/authv1.PasskeyBeginResponse",
  "$ref-value": {
    "properties": {
      "options": {
        "items": {
          "type": "integer"
        },
        "type": "array"
      },
      "session_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}